Skip to main content
PATCH
/
v1
/
youtube-suggestions
/
{id}
/
status
Update suggestion status
curl --request PATCH \
  --url https://api.yalg.ai/v1/youtube-suggestions/{id}/status \
  --header 'x-api-key: <api-key>'
{
  "status": "running",
  "currentStep": "rendering",
  "progress": 0.65,
  "message": "Generation is in progress",
  "updatedAt": "2026-06-20T17:24:39.000Z"
}

Authorizations

x-api-key
string
header
default:yalg_live_your_api_key
required

YALG Developer API key. Send it in the x-api-key header from a server-side environment only.

Path Parameters

id
string
required

UUID of the suggestion

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

Query Parameters

status
enum<string>
required

New status

Available options:
pending,
approved,
rejected,
used
Example:

"draft"

Response

Status updated successfully

Status or progress payload for an asynchronous YALG workflow.

status
string
Example:

"running"

currentStep
string
Example:

"rendering"

progress
number
Example:

0.65

message
string
Example:

"Generation is in progress"

updatedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"